commit:     936815883f7328b527f9490b631f5d8def72a512
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 15 20:43:09 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Oct 15 20:43:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93681588

dev-ml/camlp5: add 8.03.01

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/camlp5/Manifest              |  1 +
 dev-ml/camlp5/camlp5-8.03.01.ebuild | 69 +++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
index dd717f839514..d91112e16573 100644
--- a/dev-ml/camlp5/Manifest
+++ b/dev-ml/camlp5/Manifest
@@ -2,3 +2,4 @@ DIST camlp5-8.00.04.tar.gz 1232659 BLAKE2B 
47dd18e9c518b0dccda62d054d7950dffa025
 DIST camlp5-8.00.05.tar.gz 1237587 BLAKE2B 
1028b1e77a048a6b2e8df4ab58171d4e182a21aa1ca01113fc0cb8b7e6f61b5db58e8c3a2f149d05c056fbd48c0c0d97e597121e4b2b55d62f1f62d80e92312b
 SHA512 
f4cee1fba85dc3a7479929facd79d0b88f23de575107886a8d4c41cd4a0bee21ccc72f2791712635e401ca10c3ec24cfea32558eca09ba6616e01e8433c57bbe
 DIST camlp5-8.02.00.tar.gz 1260249 BLAKE2B 
d205cf29207c925bc52098c9e1e74c76b851c71514bc7ae6f6c1ff3c7bf971f7cf6974625c484d2ddf252d0befc557e3b2dd7134e8f5bed270d59d40f15be9a8
 SHA512 
6e3caccc780f8de1d5804ae8f5700d29255f968f7f8ee3f9ef6f3456883d63aeb0abe797233823fd368b40b74feb1f537c3a61ce35d0c9c2737ab06743a09ddd
 DIST camlp5-8.03.00.tar.gz 1284346 BLAKE2B 
1c73c3093597b6ff7ad5b571880c8e3981edd9f9ec63b7770043e05514b87532f345dfe89eae7cf96cfd928ea36d036081ee000d0ca119d4e7d8bc96e5f5b337
 SHA512 
2e595aba439e9e2ce8e87d21a79e7e71e17ff460bd83ee2484dc38f171bb3d146f3ae2475b4d48f163f193c347b4485478f62a527503172d1210bb7ce9571664
+DIST camlp5-8.03.01.tar.gz 1308092 BLAKE2B 
1cb69bf407eb40c3646098431a4e6b3e35f78a5ce2880399c2034ce0a50ec5650c86216029a8521af97cbc92bf4be3d8b2180336c0decaddab30822232f1a2da
 SHA512 
144ab15e18673fa485d08cf37c6ba69146db7db4be9e7031e202e0747d922e223396b83881b1d65cf27bedb2115d91e5eb62b5a22e2d57dda838013ebd398ff2

diff --git a/dev-ml/camlp5/camlp5-8.03.01.ebuild 
b/dev-ml/camlp5/camlp5-8.03.01.ebuild
new file mode 100644
index 000000000000..b427939c85a1
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-8.03.01.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit findlib vcs-clean
+
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/refs/tags/${PV}.tar.gz
+       -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc +ocamlopt"
+
+RDEPEND="
+       dev-ml/bos:=
+       dev-ml/camlp-streams:=[ocamlopt?]
+       dev-ml/fmt:=[ocamlopt?]
+       dev-ml/fpath:=
+       dev-ml/logs:=[ocamlopt?]
+       dev-ml/re:=[ocamlopt?]
+       dev-ml/rresult:=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       egit_clean
+       default
+}
+
+src_configure() {
+       ./configure \
+               --strict \
+               -prefix /usr \
+               -bindir /usr/bin \
+               -libdir /usr/$(get_libdir)/ocaml \
+               -mandir /usr/share/man || die "configure failed"
+}
+
+src_compile() {
+       ulimit -s 11530000
+       emake out
+       if use ocamlopt; then
+               emake opt
+               emake opt.opt
+       fi
+}
+
+src_test() {
+       ulimit -s 11530000
+       emake bootstrap
+       if use ocamlopt; then
+               emake opt
+               emake opt.opt
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${ED}" install
+       # findlib support
+       insinto "$(ocamlfind printconf destdir)/${PN}"
+       doins etc/META
+
+       dodoc -r doc/*
+       dodoc CHANGES DEVEL ICHANGES README.md UPGRADING MODE
+}

Reply via email to